import sys
import os.path
import os
from App.config import getConfiguration
from config import PROJECTNAME

import zLOG
def log(msg, severity=zLOG.INFO):
    zLOG.LOG(PROJECTNAME, severity, msg+'\n')


# this function is stolen from Reflecto.utils
def makeProductPathAbsolute(filename, subdir):
    """Turn a path relative to INSTANCE_HOME into an absolute path."""
    path=os.path.join(getConfiguration().instancehome, 'Products')
    path = os.path.join(path, 'ploneboard_anyxmlimport')
    if subdir is not None and len(subdir) > 0:
        path = os.path.join(path, subdir)
    path = os.path.join(path, filename)
    return os.path.normpath(path)